made wxUSE_UNICODE=1 the default

git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@46621 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775
This commit is contained in:
Václav Slavík 2007-06-22 12:34:38 +00:00
parent 4a3f5ad0f5
commit 4fc1c0f091
18 changed files with 220 additions and 131 deletions

View File

@ -49,7 +49,7 @@
<option name="UNICODE">
<values>0,1</values>
<values-description>,Unicode</values-description>
<default-value>0</default-value>
<default-value>1</default-value>
<description>
Compile Unicode build of wxWidgets?
</description>
@ -470,7 +470,7 @@ Set the version of your Mingw installation here.
<set var="BUILD">debug</set>
<set var="SHARED">0</set>
<set var="WXUNIV">0</set>
<set var="UNICODE">0</set>
<set var="UNICODE">1</set>
<!-- Free version does not distribute OpenGL,
in commercial distribution better use dmars_smake format -->
<set var="USE_OPENGL">0</set>

View File

@ -57,7 +57,7 @@ WXUNIV = 0
# Compile Unicode build of wxWidgets? [0,1]
!ifndef UNICODE
UNICODE = 0
UNICODE = 1
!endif
# Use MSLU library when building Unicode version. [0,1]

View File

@ -38,7 +38,7 @@ SHARED := 0
WXUNIV := 0
# Compile Unicode build of wxWidgets? [0,1]
UNICODE := 0
UNICODE := 1
# Use MSLU library when building Unicode version. [0,1]
MSLU := 0

View File

@ -38,7 +38,7 @@ SHARED = 0
WXUNIV = 0
# Compile Unicode build of wxWidgets? [0,1]
UNICODE = 0
UNICODE = 1
# Use MSLU library when building Unicode version. [0,1]
MSLU = 0

View File

@ -41,7 +41,7 @@ WXUNIV = 0
# Compile Unicode build of wxWidgets? [0,1]
# 1 - Unicode
UNICODE = 0
UNICODE = 1
# Type of compiled binaries [debug,release]
BUILD = debug

276
configure vendored
View File

@ -1704,7 +1704,7 @@ Optional Features:
--enable-textbuf use wxTextBuffer class
--enable-textfile use wxTextFile class
--enable-timer use wxTimer class
--enable-unicode compile wxString with Unicode support
--enable-unicode compile without Unicode support
--enable-sound use wxSound class
--enable-mediactrl use wxMediaCtrl class
--enable-gstreamer8 force GStreamer 0.8 instead of 0.10 with the wxMediaCtrl class on unix
@ -3112,7 +3112,7 @@ if test $DEBUG_CONFIGURE = 1; then
DEFAULT_wxUSE_POPUPWIN=no
DEFAULT_wxUSE_TIPWINDOW=no
DEFAULT_wxUSE_UNICODE=no
DEFAULT_wxUSE_UNICODE=yes
DEFAULT_wxUSE_UNICODE_MSLU=no
DEFAULT_wxUSE_UNICODE_UTF8=auto
DEFAULT_wxUSE_UNICODE_UTF8_LOCALE=no
@ -3340,7 +3340,7 @@ else
DEFAULT_wxUSE_POPUPWIN=yes
DEFAULT_wxUSE_TIPWINDOW=yes
DEFAULT_wxUSE_UNICODE=no
DEFAULT_wxUSE_UNICODE=yes
DEFAULT_wxUSE_UNICODE_MSLU=yes
DEFAULT_wxUSE_UNICODE_UTF8=auto
DEFAULT_wxUSE_UNICODE_UTF8_LOCALE=no
@ -22756,13 +22756,11 @@ _ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <sys/types.h> /* for off_t */
#include <stdio.h>
#include <stdio.h>
int
main ()
{
int (*fp) (FILE *, off_t, int) = fseeko;
return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
;
return 0;
}
@ -22802,13 +22800,11 @@ cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#define _LARGEFILE_SOURCE 1
#include <sys/types.h> /* for off_t */
#include <stdio.h>
#include <stdio.h>
int
main ()
{
int (*fp) (FILE *, off_t, int) = fseeko;
return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
;
return 0;
}
@ -39670,7 +39666,6 @@ echo $ECHO_N "checking how many arguments gethostbyname_r() takes... $ECHO_C" >&
else
################################################################
ac_cv_func_which_gethostbyname_r=unknown
@ -39900,7 +39895,6 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
################################################################
fi
@ -40049,19 +40043,94 @@ _ACEOF
fi
fi
{ echo "$as_me:$LINENO: checking how many arguments getservbyname_r() takes" >&5
echo $ECHO_N "checking how many arguments getservbyname_r() takes... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for getservbyname_r" >&5
echo $ECHO_N "checking for getservbyname_r... $ECHO_C" >&6; }
if test "${ac_cv_func_which_getservbyname_r+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_ext=cpp
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
{ echo "$as_me:$LINENO: checking for getservbyname_r" >&5
echo $ECHO_N "checking for getservbyname_r... $ECHO_C" >&6; }
if test "${ac_cv_func_getservbyname_r+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Define getservbyname_r to an innocuous variant, in case <limits.h> declares getservbyname_r.
For example, HP-UX 11i <limits.h> declares gettimeofday. */
#define getservbyname_r innocuous_getservbyname_r
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char getservbyname_r (); below.
Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
<limits.h> exists even on freestanding compilers. */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
#undef getservbyname_r
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char getservbyname_r ();
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
#if defined __stub_getservbyname_r || defined __stub___getservbyname_r
choke me
#endif
int
main ()
{
return getservbyname_r ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_func_getservbyname_r=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_func_getservbyname_r=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
fi
{ echo "$as_me:$LINENO: result: $ac_cv_func_getservbyname_r" >&5
echo "${ECHO_T}$ac_cv_func_getservbyname_r" >&6; }
if test $ac_cv_func_getservbyname_r = yes; then
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
@ -40069,17 +40138,20 @@ _ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <netdb.h>
# include <netdb.h>
int
main ()
{
char *name;
char *proto;
struct servent *se, *res;
char buffer[2048];
int buflen = 2048;
(void) getservbyname_r(name, proto, se, buffer, buflen, &res)
char *name;
char *proto;
struct servent *se;
struct servent_data data;
(void) getservbyname_r(name, proto, se, &data);
;
return 0;
@ -40099,7 +40171,54 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_cxx_werror_flag" ||
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_cv_func_which_getservbyname_r=four
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
# include <netdb.h>
int
main ()
{
char *name;
char *proto;
struct servent *se, *res;
char buffer[2048];
int buflen = 2048;
(void) getservbyname_r(name, proto, se, buffer, buflen, &res)
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_cv_func_which_getservbyname_r=six
@ -40108,23 +40227,25 @@ else
sed 's/^/| /' conftest.$ac_ext >&5
cat >conftest.$ac_ext <<_ACEOF
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <netdb.h>
# include <netdb.h>
int
main ()
{
char *name;
char *proto;
struct servent *se;
char buffer[2048];
int buflen = 2048;
(void) getservbyname_r(name, proto, se, buffer, buflen)
char *name;
char *proto;
struct servent *se;
char buffer[2048];
int buflen = 2048;
(void) getservbyname_r(name, proto, se, buffer, buflen)
;
return 0;
@ -40144,7 +40265,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_cxx_werror_flag" ||
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_cv_func_which_getservbyname_r=five
@ -40152,51 +40273,13 @@ else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <netdb.h>
int
main ()
{
char *name;
char *proto;
struct servent *se;
struct servent_data data;
(void) getservbyname_r(name, proto, se, &data);
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_cxx_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_cv_func_which_getservbyname_r=four
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_func_which_getservbyname_r=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
@ -40207,18 +40290,10 @@ fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
else
ac_cv_func_which_getservbyname_r=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
fi
{ echo "$as_me:$LINENO: result: $ac_cv_func_which_getservbyname_r" >&5
echo "${ECHO_T}$ac_cv_func_which_getservbyname_r" >&6; }
@ -40238,6 +40313,7 @@ elif test $ac_cv_func_which_getservbyname_r = four; then
#define HAVE_FUNC_GETSERVBYNAME_R_4 1
_ACEOF
fi
@ -46612,7 +46688,10 @@ echo "${ECHO_T}$bakefile_cv_prog_makeisgnu" >&6; }
PLATFORM_BEOS=1
;;
* )
;;
{ { echo "$as_me:$LINENO: error: Unknown platform: $BAKEFILE_FORCE_PLATFORM" >&5
echo "$as_me: error: Unknown platform: $BAKEFILE_FORCE_PLATFORM" >&2;}
{ (exit 1); exit 1; }; }
;;
esac
fi
@ -49356,10 +49435,21 @@ echo "${ECHO_T}no" >&6; }
cppunit_major_min=`echo $cppunit_version_min | \
sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
if test "x${cppunit_major_min}" = "x" ; then
cppunit_major_min=0
fi
cppunit_minor_min=`echo $cppunit_version_min | \
sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
if test "x${cppunit_minor_min}" = "x" ; then
cppunit_minor_min=0
fi
cppunit_micro_min=`echo $cppunit_version_min | \
sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
if test "x${cppunit_micro_min}" = "x" ; then
cppunit_micro_min=0
fi
cppunit_version_proper=`expr \
$cppunit_major_version \> $cppunit_major_min \| \

View File

@ -575,7 +575,7 @@ if test $DEBUG_CONFIGURE = 1; then
DEFAULT_wxUSE_POPUPWIN=no
DEFAULT_wxUSE_TIPWINDOW=no
DEFAULT_wxUSE_UNICODE=no
DEFAULT_wxUSE_UNICODE=yes
DEFAULT_wxUSE_UNICODE_MSLU=no
DEFAULT_wxUSE_UNICODE_UTF8=auto
DEFAULT_wxUSE_UNICODE_UTF8_LOCALE=no
@ -803,7 +803,7 @@ else
DEFAULT_wxUSE_POPUPWIN=yes
DEFAULT_wxUSE_TIPWINDOW=yes
DEFAULT_wxUSE_UNICODE=no
DEFAULT_wxUSE_UNICODE=yes
DEFAULT_wxUSE_UNICODE_MSLU=yes
DEFAULT_wxUSE_UNICODE_UTF8=auto
DEFAULT_wxUSE_UNICODE_UTF8_LOCALE=no
@ -1010,7 +1010,7 @@ WX_ARG_ENABLE(tarstream, [ --enable-tarstream use wxTar streams], wxUS
WX_ARG_ENABLE(textbuf, [ --enable-textbuf use wxTextBuffer class], wxUSE_TEXTBUFFER)
WX_ARG_ENABLE(textfile, [ --enable-textfile use wxTextFile class], wxUSE_TEXTFILE)
WX_ARG_ENABLE(timer, [ --enable-timer use wxTimer class], wxUSE_TIMER)
WX_ARG_ENABLE(unicode, [ --enable-unicode compile wxString with Unicode support], wxUSE_UNICODE)
WX_ARG_ENABLE(unicode, [ --enable-unicode compile without Unicode support], wxUSE_UNICODE)
WX_ARG_ENABLE(sound, [ --enable-sound use wxSound class], wxUSE_SOUND)
WX_ARG_ENABLE(mediactrl, [ --enable-mediactrl use wxMediaCtrl class], wxUSE_MEDIACTRL)
WX_ARG_ENABLE(gstreamer8, [ --enable-gstreamer8 force GStreamer 0.8 instead of 0.10 with the wxMediaCtrl class on unix], wxUSE_GSTREAMER8)

View File

@ -702,9 +702,9 @@ SHARED=1
Build shared libraries (DLLs). By default, DLLs are not built
(SHARED=0).
UNICODE=1
To build Unicode versions of the libraries, add UNICODE=1 to make invocation
(default is UNICODE=0). If you want to be able to use Unicode version on
UNICODE=0
To build ANSI versions of the libraries, add UNICODE=0 to make invocation
(default is UNICODE=1). If you want to be able to use Unicode version on
Windows9x, you will need to set MSLU=1 as well.
This option affect name of the library ('u' is appended) and the directory

View File

@ -156,11 +156,11 @@
// (Windows 9x doesn't support it and the programs compiled in Unicode mode
// will not run under 9x -- but see wxUSE_UNICODE_MSLU below).
//
// Default is 0
// Default is 1
//
// Recommended setting: 0 (unless you only plan to use Windows NT/2000/XP)
// Recommended setting: 1
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
// Setting wxUSE_WCHAR_T to 1 gives you some degree of Unicode support without

View File

@ -155,11 +155,11 @@
// (Windows 9x doesn't support it and the programs compiled in Unicode mode
// will not run under 9x -- but see wxUSE_UNICODE_MSLU below).
//
// Default is 0
// Default is 1
//
// Recommended setting: 0 (unless you only plan to use Windows NT/2000/XP)
// Recommended setting: 1
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
// Setting wxUSE_WCHAR_T to 1 gives you some degree of Unicode support without

View File

@ -155,11 +155,11 @@
// (Windows 9x doesn't support it and the programs compiled in Unicode mode
// will not run under 9x -- but see wxUSE_UNICODE_MSLU below).
//
// Default is 0
// Default is 1
//
// Recommended setting: 0 (unless you only plan to use Windows NT/2000/XP)
// Recommended setting: 1
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
// Setting wxUSE_WCHAR_T to 1 gives you some degree of Unicode support without

View File

@ -155,11 +155,11 @@
// (Windows 9x doesn't support it and the programs compiled in Unicode mode
// will not run under 9x -- but see wxUSE_UNICODE_MSLU below).
//
// Default is 0
// Default is 1
//
// Recommended setting: 0 (unless you only plan to use Windows NT/2000/XP)
// Recommended setting: 1
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
// Setting wxUSE_WCHAR_T to 1 gives you some degree of Unicode support without

View File

@ -155,11 +155,11 @@
// (Windows 9x doesn't support it and the programs compiled in Unicode mode
// will not run under 9x -- but see wxUSE_UNICODE_MSLU below).
//
// Default is 0
// Default is 1
//
// Recommended setting: 0 (unless you only plan to use Windows NT/2000/XP)
// Recommended setting: 1
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
// Setting wxUSE_WCHAR_T to 1 gives you some degree of Unicode support without

View File

@ -155,11 +155,11 @@
// (Windows 9x doesn't support it and the programs compiled in Unicode mode
// will not run under 9x -- but see wxUSE_UNICODE_MSLU below).
//
// Default is 0
// Default is 1
//
// Recommended setting: 0 (unless you only plan to use Windows NT/2000/XP)
// Recommended setting: 1
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
// Setting wxUSE_WCHAR_T to 1 gives you some degree of Unicode support without

View File

@ -151,11 +151,11 @@
// (Windows 9x doesn't support it and the programs compiled in Unicode mode
// will not run under 9x -- but see wxUSE_UNICODE_MSLU below).
//
// Default is 0
// Default is 1
//
// Recommended setting: 0 (unless you only plan to use Windows NT/2000/XP)
// Recommended setting: 1
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
// Setting wxUSE_WCHAR_T to 1 gives you some degree of Unicode support without

View File

@ -142,11 +142,11 @@
// doesn't support it and the programs compiled in Unicode mode will not run
// under 9x).
//
// Default is 0
// Default is 1
//
// Recommended setting: 0 (unless you only plan to use Windows NT/2000/XP)
// Recommended setting: 1
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
// Set wxUSE_UNICODE_MSLU to 1 if you want to compile wxWidgets in Unicode mode

View File

@ -325,7 +325,6 @@
#define wxUSE_DATAVIEWCTRL 0
#define wxUSE_DATEPICKCTRL 0
#define wxUSE_DIRPICKERCTRL 0
#define wxUSE_EDITABLELISTBOX 0
#define wxUSE_FILEPICKERCTRL 0
#define wxUSE_FONTPICKERCTRL 0
#define wxUSE_GAUGE 0

View File

@ -191,7 +191,7 @@ typedef pid_t GPid;
#ifndef wxUSE_UNICODE
#define wxUSE_UNICODE 0
#define wxUSE_UNICODE 1
#endif
#define wxUSE_WCHAR_T 1